Update NVLink Logical Partition

View as Markdown

Update a specific NVLink Logical Partition

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the NGC Org
nvLinkLogicalPartitionIdstringRequired
ID of the NVLink Logical Partition

Request

This endpoint expects an object.
namestring or nullOptional2-256 characters
Updated name for the NVLink Logical Partition
descriptionstring or nullOptional
Updated description for the NVLink Logical Partition

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique ID of the NVLink Logical Partition
namestringOptional2-256 characters
Name of the NVLink Logical Partition
descriptionstring or nullOptional
Optional description of the NVLink Logical Partition
siteIdstringOptionalformat: "uuid"
ID of the Site the NVLink Logical Partition belongs to
tenantIdstringOptionalformat: "uuid"
ID of the Tenant the NVLink Logical Partition belongs to
statusenumOptional
Status of the NVLink Logical Partition
statusHistorylist of objectsOptionalRead-only
Details of status changes for the NVLink Logical Partition over time
nvLinkLogicalPartitionStatsobjectOptional

GPU and Instance usage counts for the NVLink Logical Partition. Returned if the includeStats query parameter is set to true in retrieval endpoints

createddatetimeOptionalRead-only
Date and time the NVLink Logical Partition was created
updateddatetimeOptionalRead-only
Date and time the NVLink Logical Partition was last updated

Errors

400
Bad Request Error
403
Forbidden Error